# Conditional build:
%bcond_with	tests	# unit tests

%define		module	google-auth
Summary:	Google Authentication Library
Name:		python3-%{module}
Version:	2.40.2
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/google-auth/
Source0:	https://files.pythonhosted.org/packages/source/g/google-auth/google_auth-%{version}.tar.gz
# Source0-md5:	f1cf03a19638550b4a8d9a12548cc570
URL:		https://pypi.org/project/google-auth/
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-flask
BuildRequires:	python3-pytest-localserver
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library simplifies using Google’s various server-to-server
authentication mechanisms to access Google APIs.

%prep
%setup -q -n google_auth-%{version}

%build
%py3_build

%if %{with tests}
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/build-3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%dir %{py3_sitescriptdir}/google
%{py3_sitescriptdir}/google/auth
%{py3_sitescriptdir}/google/oauth2
%{py3_sitescriptdir}/google_auth-%{version}-py*.egg-info
%changelog
* Mon Jun 02 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-google-auth.git;a=log;h=master

* Tue Jun 03 2025 Jan Rękorajski <baggins@pld-linux.org> d142d91
- new

